
package com.gyee.edge.gateway.restful.handler;


import com.gyee.edge.gateway.dto.Response;
import com.gyee.edge.gateway.restful.annotation.NettyHttpHandler;
import com.gyee.edge.gateway.restful.http.NettyHttpRequest;

@NettyHttpHandler(path = "/hello/world")
public class HelloWorldHandler implements IFunctionHandler<String> {

    @Override
    public Response<String> execute(NettyHttpRequest request) {
         return Response.ok("Hello World");
    }
}
