
package com.gyee.edge.gateway;

import com.gyee.edge.gateway.restful.annotation.NettyHttpHandler;
import org.springframework.boot.WebApplicationType;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.context.annotation.ComponentScan;

@SpringBootApplication()
@ComponentScan(includeFilters = @ComponentScan.Filter(NettyHttpHandler.class))

public class HttpServerApplication {

    public static void main(String[] args) {
        new SpringApplicationBuilder(HttpServerApplication.class).web(WebApplicationType.NONE).run(args);
    }

}
